## Class StreamGobbler

    java.lang.Object
      StreamGobbler

All Implemented Interfaces:
  java.lang.Runnable

     class StreamGobbler

extends java.lang.Object
implements java.lang.Runnable

Field Summary
`(package private) java.io.InputStream` `is`
`(package private) java.lang.String` `name`
`(package private) java.lang.Thread` `thread`

Constructor Summary
`StreamGobbler(java.lang.String name, java.io.InputStream is)`

Method Summary
`void` `run()`
`void` `start()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    java.lang.String name

### is

    java.io.InputStream is

### thread

    java.lang.Thread thread

Constructor Detail

### StreamGobbler

    public StreamGobbler(java.lang.String name,
                         java.io.InputStream is)

Method Detail

### start

    public void start()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`